function load_meteo() -- Loads sprite and some needed variables
	meteorite_sprite = love.graphics.newImage("sprites/meteorite.png")
	meteorites = {}
	timed = 0
end

function update_meteo(dt) -- Makes sure they move
	for i, v in ipairs(meteorites) do
		v.x = v.x + (v.speed * dt)
	end
end

function draw_meteo()
	for i, v in ipairs(meteorites) do -- Draws them
		love.graphics.draw(meteorite_sprite, v.x, v.y)
	end
end

function create_meteo(dt) -- Creates them, randomly choses y and speed (within parameters)
	timed = timed + dt
	if timed >= 1 then
		table.insert(meteorites, {x = (-128), y = math.random(0, 768-128), speed = math.random(150,200)})
		timed = 0
	for i, v in ipairs(meteorites) do
		if v.x >= 1024 then
			table.remove(v)
		end
	end
	end
end


